# pandas.Series.add_suffix

Series.add_suffix(suffix)

  Suffix labels with string suffix.

  For Series, the row labels are suffixed. For DataFrame, the column labels are suffixed.

  Parameters
    suffix str

      The string to add after each label.

  Returns
    Series or DataFrame

      New Series or DataFrame with updated labels.

  See also

  `Series.add_prefix`

    Prefix row labels with string prefix.

  `DataFrame.add_prefix`

    Prefix column labels with string prefix.

  Examples

      >>> s = pd.Series([1, 2, 3, 4])
      >>> s
      0    1
      1    2
      2    3
      3    4
      dtype: int64

      >>> s.add_suffix('_item')
      0_item    1
      1_item    2
      2_item    3
      3_item    4
      dtype: int64

      >>> df = pd.DataFrame({'A': [1, 2, 3, 4], 'B': [3, 4, 5, 6]})
      >>> df
         A  B
      0  1  3
      1  2  4
      2  3  5
      3  4  6

      >>> df.add_suffix('_col')
           A_col  B_col
      0       1       3
      1       2       4
      2       3       5
      3       4       6